#ifndef _UWAV_NUMGRP_H_
#define _UWAV_NUMGRP_H_

#include "number.h"

#define MAX_NUMBER_GROUP_TABLE		32
#define MAX_NUMBER_GROUP_TABLE_SIZE			1024

struct number_group {
	num16_t			start;
	num16_t			end;
	int				index;
};

struct numgrp_table {
	char name[32];
	int size;
	int len;
	struct number_group *item;
};

extern struct numgrp_table *assign_numgrp_table(char *name, int size);/* size: capability of table in unit of records */
extern int delete_numgrp_table(struct numgrp_table *table);
extern int numgrp_search(int *index, struct numgrp_table *table, num16_t *num);
extern int numgrp_insert(struct numgrp_table *table, num16_t *start, num16_t *end, int index);
extern int numgrp_delete(struct numgrp_table *table, num16_t *num);

#endif

